Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.util
Class ParameterList

    java.lang.Object
      org.deegree.framework.util.ParameterList

    public final class ParameterList

extends Object

The interface defines the access to a list of paramters that can be used as submitted parameters to methods that may receive an variable list of parameters.

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`ParameterList()`

Method Summary
`void` | `addParameter(Parameter param)` adds a new `Parameter` to the list
`void` | `addParameter(String name, Object value)` adds a new `Parameter` to the list
`Parameter` | `getParameter(String name)` returns the parameter that matches the submitted name. if no parameter can be found `null` will be returned.
`String[]` | `getParameterNames()` returns an array of all `Parameter`s names. it is guarenteered that the arrays isn't `null`
`Parameter[]` | `getParameters()` returns all `Parameter`s contained within the list as array. it is guarenteered that the arrays isn't `null`
`Object[]` | `getParameterValues()` returns an array of all `Parameter`s values. it is guarenteered that the arrays isn't `null`
`Parameter` | `removeParameter(String name)` removes a parameter from the list
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterList

    public ParameterList()

Method Detail

### getParameter

    public Parameter getParameter(String name)

  returns the parameter that matches the submitted name. if no parameter can be found `null` will be returned.

  Parameters:
    `name` -
  Returns:
    name parameter

### addParameter

    public void addParameter(String name,
                             Object value)

  adds a new `Parameter` to the list

  Parameters:
    `name` -
    `value` -

### addParameter

    public void addParameter(Parameter param)

  adds a new `Parameter` to the list

  Parameters:
    `param` -

### getParameters

    public Parameter[] getParameters()

  returns all `Parameter`s contained within the list as array. it is guarenteered that the arrays isn't `null`

  Returns:
    returns an array with all Parameters from the list.

### getParameterNames

    public String[] getParameterNames()

  returns an array of all `Parameter`s names. it is guarenteered that the arrays isn't `null`

  Returns:
    parameter names

### getParameterValues

    public Object[] getParameterValues()

  returns an array of all `Parameter`s values. it is guarenteered that the arrays isn't `null`

  Returns:
    parameter values

### removeParameter

    public Parameter removeParameter(String name)

  removes a parameter from the list

  Parameters:
    `name` - name of the parameter
  Returns:
    nemd parameter

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org